/*
 * HtmlTextEditor.java
 *
 * Created on October 22, 2000, 9:12 PM
 */

package ovt.servlet;

import ovt.beans.*;

/**
 *
 * @author  ko
 * @version 
 */
public class HtmlTextEditor extends HtmlPropertyEditor {

    /** Creates new HtmlTextEditor */
    public HtmlTextEditor(BasicPropertyDescriptor desc) {
        super(desc);
    }
    
    public String toString() {
        String name = getDesc().getPropertyPathString();
        String value = getEd().getAsText();
        return "<INPUT TYPE=\"text\" NAME=\""+ name +"\" VALUE=\"" + value + "\"> \n";
    }

}